DROP TRIGGER tr_LocalDomains_AU;
-- GO --

delimiter //
CREATE TRIGGER tr_LocalDomains_AU
AFTER UPDATE ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.ID) AND (r.TableName = 'tbl_LocalDomains')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.ID, 1, 'tbl_LocalDomains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_LocalDomains_AI;
-- GO --

delimiter //
CREATE TRIGGER tr_LocalDomains_AI
AFTER INSERT ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.ID) AND (r.TableName = 'tbl_LocalDomains')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.ID, 1, 'tbl_LocalDomains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_LocalDomains_AD;
-- GO --

delimiter //
CREATE TRIGGER tr_LocalDomains_AD
AFTER DELETE ON tbl_LocalDomains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.ID) AND (r.TableName = 'tbl_LocalDomains')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.ID, 1, 'tbl_LocalDomains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AuthorizedTOEmails_AU;
-- GO --

delimiter //
CREATE TRIGGER trWL_AuthorizedTOEmails_AU
AFTER UPDATE ON tblWL_AuthorizedTOEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails' )) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AuthorizedTOEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AuthorizedTOEmails_AI;
-- GO --

delimiter //
CREATE TRIGGER trWL_AuthorizedTOEmails_AI
AFTER INSERT ON tblWL_AuthorizedTOEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails' )) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_AuthorizedTOEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AuthorizedTOEmails_AD;
-- GO --

delimiter //
CREATE TRIGGER trWL_AuthorizedTOEmails_AD
AFTER DELETE ON tblWL_AuthorizedTOEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails' )) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AuthorizedTOEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_Keywords_AU;
-- GO --

delimiter //
CREATE TRIGGER trWL_Keywords_AU
AFTER UPDATE ON tblWL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_Keywords')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_Keywords_AI;
-- GO --

delimiter //
CREATE TRIGGER trWL_Keywords_AI
AFTER INSERT ON tblWL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblWL_Keywords')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_Keywords_AD;
-- GO --

delimiter //
CREATE TRIGGER trWL_Keywords_AD
AFTER DELETE ON tblWL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_Keywords')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsFrom_AU;
-- GO --

delimiter //
CREATE TRIGGER trWL_EmailsFrom_AU
AFTER UPDATE ON tblWL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_EmailsFrom')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsFrom_AI;
-- GO --

delimiter //
CREATE TRIGGER trWL_EmailsFrom_AI
AFTER INSERT ON tblWL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblWL_EmailsFrom')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsFrom_AD;
-- GO --

delimiter //
CREATE TRIGGER trWL_EmailsFrom_AD
AFTER DELETE ON tblWL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_EmailsFrom')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsTO_AU;
-- GO --

delimiter //
CREATE TRIGGER trWL_EmailsTO_AU
AFTER UPDATE ON tblWL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_EmailsTO')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsTO_AI;
-- GO --

delimiter //
CREATE TRIGGER trWL_EmailsTO_AI
AFTER INSERT ON tblWL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblWL_EmailsTO')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_EmailsTO_AD;
-- GO --

delimiter //
CREATE TRIGGER trWL_EmailsTO_AD
AFTER DELETE ON tblWL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_EmailsTO')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_DomainsIPs_AU;
-- GO --

delimiter //
CREATE TRIGGER trWL_DomainsIPs_AU
AFTER UPDATE ON tblWL_DomainsIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_DomainsIPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_DomainsIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_DomainsIPs_AI;
-- GO --

delimiter //
CREATE TRIGGER trWL_DomainsIPs_AI
AFTER INSERT ON tblWL_DomainsIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblWL_DomainsIPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_DomainsIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_DomainsIPs_AD;
-- GO --

delimiter //
CREATE TRIGGER trWL_DomainsIPs_AD
AFTER DELETE ON tblWL_DomainsIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_DomainsIPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_DomainsIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AutoWhiteListForceDelivery_AU;
-- GO --

delimiter //
CREATE TRIGGER trWL_AutoWhiteListForceDelivery_AU
AFTER UPDATE ON tblWL_AutoWhiteListForceDelivery
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AutoWhiteListForceDelivery_AI;
-- GO --

delimiter //
CREATE TRIGGER trWL_AutoWhiteListForceDelivery_AI
AFTER INSERT ON tblWL_AutoWhiteListForceDelivery
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trWL_AutoWhiteListForceDelivery_AD;
-- GO --

delimiter //
CREATE TRIGGER trWL_AutoWhiteListForceDelivery_AD
AFTER DELETE ON tblWL_AutoWhiteListForceDelivery
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblWL_AutoWhiteListForceDelivery')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblWL_AutoWhiteListForceDelivery');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Domains_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_Domains_AU
AFTER UPDATE ON tblBL_Domains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Domains')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Domains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Domains_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_Domains_AI
AFTER INSERT ON tblBL_Domains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_Domains')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Domains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Domains_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_Domains_AD
AFTER DELETE ON tblBL_Domains
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Domains')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Domains');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsFrom_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_EmailsFrom_AU
AFTER UPDATE ON tblBL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_EmailsFrom')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsFrom_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_EmailsFrom_AI
AFTER INSERT ON tblBL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_EmailsFrom')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsFrom_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_EmailsFrom_AD
AFTER DELETE ON tblBL_EmailsFrom
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_EmailsFrom')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsFrom');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsTO_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_EmailsTO_AU
AFTER UPDATE ON tblBL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_EmailsTO')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsTO_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_EmailsTO_AI
AFTER INSERT ON tblBL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_EmailsTO')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_EmailsTO_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_EmailsTO_AD
AFTER DELETE ON tblBL_EmailsTO
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_EmailsTO')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_EmailsTO');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Countries_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_Countries_AU
AFTER UPDATE ON tblBL_Countries
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Countries')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Countries');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Countries_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_Countries_AI
AFTER INSERT ON tblBL_Countries
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_Countries')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Countries');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Countries_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_Countries_AD
AFTER DELETE ON tblBL_Countries
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Countries')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Countries');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_MAPS_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_MAPS_AU
AFTER UPDATE ON tblBL_MAPS
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_MAPS')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_MAPS');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_MAPS_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_MAPS_AI
AFTER INSERT ON tblBL_MAPS
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_MAPS')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_MAPS');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_MAPS_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_MAPS_AD
AFTER DELETE ON tblBL_MAPS
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_MAPS')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_MAPS');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Keywords_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_Keywords_AU
AFTER UPDATE ON tblBL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Keywords')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Keywords_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_Keywords_AI
AFTER INSERT ON tblBL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_Keywords')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Keywords_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_Keywords_AD
AFTER DELETE ON tblBL_Keywords
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Keywords')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Keywords');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Attachments_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_Attachments_AU
AFTER UPDATE ON tblBL_Attachments
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Attachments')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Attachments');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Attachments_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_Attachments_AI
AFTER INSERT ON tblBL_Attachments
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_Attachments')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_Attachments');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_Attachments_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_Attachments_AD
AFTER DELETE ON tblBL_Attachments
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_Attachments')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_Attachments');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_SURBL_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_SURBL_AU
AFTER UPDATE ON tblBL_SURBL
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_SURBL')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_SURBL');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_SURBL_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_SURBL_AI
AFTER INSERT ON tblBL_SURBL
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_SURBL')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_SURBL');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_SURBL_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_SURBL_AD
AFTER DELETE ON tblBL_SURBL
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_SURBL')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_SURBL');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_IPs_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_IPs_AU
AFTER UPDATE ON tblBL_IPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_IPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_IPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_IPs_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_IPs_AI
AFTER INSERT ON tblBL_IPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_IPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_IPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_IPs_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_IPs_AD
AFTER DELETE ON tblBL_IPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_IPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_IPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotEmails_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_HoneypotEmails_AU
AFTER UPDATE ON tblBL_HoneypotEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotEmails_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_HoneypotEmails_AI
AFTER INSERT ON tblBL_HoneypotEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_HoneypotEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotEmails_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_HoneypotEmails_AD
AFTER DELETE ON tblBL_HoneypotEmails
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotEmails');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotBlockedIPs_AU;
-- GO --

delimiter //
CREATE TRIGGER trBL_HoneypotBlockedIPs_AU
AFTER UPDATE ON tblBL_HoneypotBlockedIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotBlockedIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotBlockedIPs_AI;
-- GO --

delimiter //
CREATE TRIGGER trBL_HoneypotBlockedIPs_AI
AFTER INSERT ON tblBL_HoneypotBlockedIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tblBL_HoneypotBlockedIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER trBL_HoneypotBlockedIPs_AD;
-- GO --

delimiter //
CREATE TRIGGER trBL_HoneypotBlockedIPs_AD
AFTER DELETE ON tblBL_HoneypotBlockedIPs
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tblBL_HoneypotBlockedIPs')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tblBL_HoneypotBlockedIPs');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_FilterSettings_AU;
-- GO --

delimiter //
CREATE TRIGGER tr_FilterSettings_AU
AFTER UPDATE ON tbl_FilterSettings
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tbl_FilterSettings')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tbl_FilterSettings');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_FilterSettings_AI;
-- GO --

delimiter //
CREATE TRIGGER tr_FilterSettings_AI
AFTER INSERT ON tbl_FilterSettings
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = NEW.DomainID) AND (r.TableName = 'tbl_FilterSettings')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (NEW.DomainID, 1, 'tbl_FilterSettings');
 END IF;
END;
//
delimiter;

-- GO --

DROP TRIGGER tr_FilterSettings_AD;
-- GO --

delimiter //
CREATE TRIGGER tr_FilterSettings_AD
AFTER DELETE ON tbl_FilterSettings
FOR EACH ROW
BEGIN
 IF NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = OLD.DomainID) AND (r.TableName = 'tbl_FilterSettings')) THEN
   INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) VALUES (OLD.DomainID, 1, 'tbl_FilterSettings');
 END IF;
END;
//
delimiter;
